pyinstaller --icon "icon.ico" --windowed --onefile --hidden-import "tornado.web" --add-data "icon.ico:files" --add-data "README.md:files" --add-data "GPL-3.0.txt:files" --add-data "CC-BY-SA-4.0.txt:files" --name "navpoint.exe" "main.py"
& "C:\Program Files (x86)\NSIS\makensis.exe" ".\windows_installer.nsi"

$version = (Get-Content -Path README.md -TotalCount 1).Split()[3]

$distName = "navpoint-$version-windows-$env:PROCESSOR_ARCHITECTURE"

Remove-Item -Path "dist\$distName-*"

Move-Item -Path "dist\navpoint.exe" -Destination "dist\$distName-portable.exe"
Move-Item -Path "dist\NavpointInstaller.exe" -Destination "dist\$distName-installer.exe"
